import { Modal as m } from "@aplus-frontend/antdv";
import { omit as a } from "lodash-unified";
import t, { withWarn as c, withInfo as f, withSuccess as l, withError as s, withConfirm as p } from "./utils/confirm.mjs";
import e from "./utils/destroyFns.mjs";
import "./utils/index.mjs";
import { setModalGlobalAppContext as u } from "./utils/util.mjs";
import "./interface.mjs";
import { createModal as d } from "./utils/createModal.mjs";
import { createModalStream as w } from "./utils/createModalStream.mjs";
const r = a(m, [
  "confirm",
  "warning",
  "warn",
  "error",
  "success",
  "info"
]);
r.createModal = d;
r.createModalStream = w;
function i(n) {
  return t(c(n));
}
r.info = function(o) {
  return t(f(o));
};
r.success = function(o) {
  return t(l(o));
};
r.error = function(o) {
  return t(s(o));
};
r.warning = i;
r.warn = i;
r.confirm = function(o) {
  return t(p(o));
};
r.destroyAll = function() {
  for (; e.length; ) {
    const o = e.pop();
    o && o();
  }
};
r.setModalGlobalAppContext = u;
r.name = "ApModal";
export {
  r as ApModal
};
